Name:           opendchub
Version:        0.8.1
Release:        1%{?dist}
Summary:        An Open Source Linux/Unix version of the hub software for Direct Connect

Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://opendchub.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl-ExtUtils-Embed, glibc-devel, libcap-devel

%description
Opendchub is the hub software for Direct Connect P2P network.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/opendchub


%changelog
* Sat Jan 2 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-1
- First RPM for opendchub
